- Create Source
- Get Source By Id
- Get Sources
- Update Source
- Delete Source
POST /api/v1/core/sourceCreate a new source in the database.Responseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/source" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new source in the database.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/core/source/{sourceId}Get a source by its ID.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"1b2a2e97-f53c-4972-a7b1-a6252e38caa8".string
Example:
"TEST_1789976065".string
string
Example:
"MSSQL".object
object
boolean
Example:
true.boolean
Example:
true.boolean
Example:
false.string
Example:
"e4a807dd-5d8d-431a-b292-73c47244fbea".object
string
Example:
"e4a807dd-5d8d-431a-b292-73c47244fbea".string
Example:
"MSSQL".string
Example:
"It is nothing but SQL Server, use Relational Database".string
Example:
"It is nothing but SQL Server, use Relational Database".string
Example:
"MSSQL".string
Example:
"Datawarehouse".boolean
Example:
true.boolean
Example:
false.string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"2026-09-21T07:34:27.996322Z".string
Example:
"2026-09-21T07:34:28.043702Z".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/core/source/{sourceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a source by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"id": "1b2a2e97-f53c-4972-a7b1-a6252e38caa8",
"name": "TEST_1789976065",
"description": null,
"type": "MSSQL",
"credentials": {
"port": "1433",
"server": "jtK6xqqWK/C4pjEmR5XI+Q==",
"database": "dqlabs",
"password": "rWLRhftdEoNtHKqXE0NOdQ==",
"username": "99DtYuGe6pwOr4zg4Ln/zA==",
"auth_type": "username_password",
"included_databases": []
},
"config": {},
"is_valid": true,
"is_active": true,
"is_api_connection": false,
"source_type_id": "e4a807dd-5d8d-431a-b292-73c47244fbea",
"source_type": {
"id": "e4a807dd-5d8d-431a-b292-73c47244fbea",
"name": "MSSQL",
"short_description": "It is nothing but SQL Server, use Relational Database",
"long_description": "It is nothing but SQL Server, use Relational Database",
"type": "MSSQL",
"tag": "Datawarehouse",
"is_active": true,
"is_delete": false
},
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"created_at": "2026-09-21T07:34:27.996322Z",
"modified_at": "2026-09-21T07:34:28.043702Z"
}
}
POST /api/v1/core/source/listGet all sources with optional filtering and pagination.Request Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"1b2a2e97-f53c-4972-a7b1-a6252e38caa8".string
Example:
"TEST_1789976065".string
string
Example:
"MSSQL".object
boolean
Example:
true.boolean
Example:
true.boolean
Example:
false.string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"2026-09-21T07:34:27.996322Z".string
Example:
"2026-09-21T07:34:28.043702Z".object[]
string
Example:
"Datawarehouse".integer
Example:
50.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/source/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get all sources with optional filtering and pagination.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"id": "1b2a2e97-f53c-4972-a7b1-a6252e38caa8",
"name": "TEST_1789976065",
"description": null,
"type": "MSSQL",
"config": {},
"is_valid": true,
"is_active": true,
"is_api_connection": false,
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"created_at": "2026-09-21T07:34:27.996322Z",
"modified_at": "2026-09-21T07:34:28.043702Z",
"audiences": [],
"source_type_tag": "Datawarehouse"
}
],
"total_count": 50,
"metrics": []
}
}
PUT /api/v1/core/source/{sourceId}Update SourcePath Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/core/source/{sourceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update Source",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/core/source/{sourceId}Delete a source by its ID.Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/core/source/{sourceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a source by its ID.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}